> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Danh sách tất toán



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /mxv/positions/settle
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /mxv/positions/settle:
    get:
      tags:
        - MXV
      summary: Danh sách tất toán
      operationId: MXV_GetPositionsSettle
      parameters:
        - name: accountType
          in: query
          description: ' (0 = FUTURE, 1 = NANO, 2 = MXV)'
          required: false
          schema:
            enum:
              - 0
              - 1
              - 2
            type: integer
            format: int32
        - name: fromDate
          in: query
          required: false
          schema:
            format: date-time
            type: string
        - name: toDate
          in: query
          required: false
          schema:
            format: date-time
            type: string
        - name: sortBy
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            format: int32
            type: integer
        - name: offset
          in: query
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.MXV.MXVSettlePosition
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.MXV.MXVSettlePosition
      security:
        - oauth2:
            - user-data-read
components:
  schemas:
    FireAnt.Api.Models.MXV.MXVSettlePosition:
      description: Vị thế tất toán (API 4.5.11)
      type: object
      properties:
        investorCode:
          description: Mã TKGD
          type: string
        investorName:
          description: Tên TKGD
          type: string
        contractCode:
          description: Mã HĐ (Hợp đồng)
          type: string
        contractName:
          description: Tên HĐ
          type: string
        settlements:
          description: Danh sách các giao dịch tất toán
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.MXV.MXVSettlement'
    FireAnt.Api.Models.MXV.MXVSettlement:
      description: Chi tiết giao dịch tất toán
      type: object
      properties:
        buyCqgOrderCode:
          description: Mã GD mua (Mã giao dịch mua từ CQG)
          type: string
        sellCqgOrderCode:
          description: Mã GD bán (Mã giao dịch bán từ CQG)
          type: string
        buyQty:
          format: double
          description: KL Mua (Khối lượng mua)
          type: number
        sellQty:
          format: double
          description: KL Bán (Khối lượng bán)
          type: number
        buyPrice:
          format: double
          description: Giá mua
          type: number
        sellPrice:
          format: double
          description: Giá bán
          type: number
        actualProfit:
          format: double
          description: Lãi lỗ thực tế
          type: number
        actualProfitVND:
          format: double
          description: Lãi lỗ thực tế (VND)
          type: number
        orderDatetime:
          format: date-time
          description: Thời gian đặt lệnh
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.